program PCRemote;

uses
  Forms,
  Windows,
  UConfigKeys in 'UConfigKeys.pas' {ConfigKeysForm},
  UCaptureKey in 'UCaptureKey.pas' {CaptureKeyForm},
  UAMixer in 'UAMixer.pas',
  UMain in 'UMain.pas' {MainForm},
  UConfigOSD in 'UConfigOSD.pas' {ConfigOSDForm},
  UConfigCOMPort in 'UConfigCOMPort.pas' {ConfigCOMPortForm},
  USystray in 'USystray.pas',
  UFunction in 'UFunction.pas' {FunctionForm},
  UAction in 'UAction.pas' {ActionForm},
  UKeybEmul in 'UKeybEmul.pas',
  UVarDef in 'UVarDef.pas' {VarDefForm},
  UComPort in 'UComPort.pas',
  UOSD in 'UOSD.pas' {OSDForm},
  UConfigLang in 'UConfigLang.pas' {ConfigLangForm},
  UWizard in 'UWizard.pas' {WizardForm};

var
  MySem: THandle;

{$R *.res}

begin
  Application.Initialize;
  Application.Title := 'PCRemote';
  MySem := CreateSemaphore(nil, 0, 1, 'MAXCOLPCRemoteSemaphore');
  if ((MySem <> 0) and (GetLastError = ERROR_ALREADY_EXISTS)) then begin
    CloseHandle(MySem);
    Halt;
  end;
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TOSDForm, OSDForm);
  Application.CreateForm(TWizardForm, WizardForm);
  Application.Run;
  CloseHandle(MySem);
end.
